--- old/usr/src/lib/fm/libdiskstatus/common/ds_scsi.c	Mon May 15 14:18:39 2017
+++ new/usr/src/lib/fm/libdiskstatus/common/ds_scsi.c	Mon May 15 14:18:39 2017
@@ -21,10 +21,10 @@
 /*
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2017 RackTop Systems.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <assert.h>
 #include <errno.h>
 #include <libdiskstatus.h>
@@ -1077,8 +1077,13 @@
 		    sizeof (scsi_log_parameter_header_t);
 	}
 
+	/*
+	 * Take the reference temperature under advisory since it is often
+	 * reported incorrectly.  If it's 40C or less we ignore it and only
+	 * register a fault once the current temperature reaches above 60C.
+	 */
 	if (reftemp != INVALID_TEMPERATURE && curtemp != INVALID_TEMPERATURE &&
-	    curtemp > reftemp)
+	    curtemp > reftemp && (reftemp > 40 || curtemp > 60))
 		sip->si_dsp->ds_faults |= DS_FAULT_OVERTEMP;
 
 	return (0);
